package my.project.seam;

import my.project.model.City;
import my.project.model.Person;

import javax.enterprise.context.RequestScoped;
import javax.inject.Inject;
import javax.inject.Named;
import javax.persistence.EntityManager;
import java.util.Date;

/**
 * User: schullto
 * Date: 1/16/13
 * Time: 5:33 PM
 */
@Named
@RequestScoped
public class PersonBean {
    @Inject
    EntityManager hem;

    public void createNewPerson(City city) {
        Person p = new Person();
        p.setFirstName("newPerson-" + new Date());
        p.setCity(city);
        hem.persist(p);
        city.getPersons().add(p);
        System.out.println("p = " + p);
    }

    public void editPerson(Person person) {
        person.setFirstName(person.getFirstName() + "-X");
        person = hem.merge(person);
    }
}
